--休息点触发	楼兰客栈暮菖兰房间内 
--global.CallScript(7209)

function m011_9()

	--开始剧情 
	func_start(7508,4832,0,1)	
	--修改旗标 
	flag.SetValue(6001,116)
	--开放DLC 
	--flag.SetValue(45000,2)
	
	local	i
	

	
	--切换地图 
	--楼兰夜 
	map.ChangeNoScript(1,1093)
	
	
	
	--建立npc  
	--龙溟 
	npc.Create(7,7,7508,4832)
	--凌波 
	-- npc.Create(8,8,7105,5336)
	npc.Create(8,8,7098,5318)
	-- npc.SetAt(8,1,-1)
	npc.SetAt(8,1,0)
	npc.SetHeadRot(8,20,0)
	--魔翳幻形
	-- npc.Create(51,11,7688,4780)
	npc.Create(237,11,7688,4780)	
	npc.SetAt(11,-1,1)
	--？？ 
	npc.Create(91,12,7688,4780)
	npc.SetVisible(12,0)
	
	
	
	--镜头1  
	-- 黑屏 
	effect.FadeOut(1,100)
	--音乐渐停
	global.MusicFadeIn(1000,100,0)		
	global.Wait(1)
	
	ui.Message(78483)--深夜
	-- ui.Dialog(78484,100,0,0,0,0)			--【深夜】
	global.Wait(1)
	
	--*****因为队列不能空*****--
	player.Add(p_id(1))--先偷偷加上夏侯
	player.Remove(p_id(4),1)--高调删除暮菖兰
	wt(2)
	
	ui.Dialog(78486,634,0,7,0,0)			--！
	global.Wait(1)
	ui.Dialog(78485,633,0,7,0,0)		--……
	

	
	-- 镜头2 
	-- 远镜拉近 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(7381,327,4839,7475,297,4828)			
	camera.ResetLerp(5000)		
	camera.ChangeCameraStatic(7599,301,4826,7689,277,4791)		
	--淡入 
	effect.FadeIn(1,1)
	--播放音乐 gs07
	global.PlayMusic(157,100,3000)			
	--动作 
	-- 龙溟走向魔翳幻形	
	npc.MoveTo(7,7659,4816,1)
	npc.TurnTo(7,1,-1)
	global.WaitForCameraLerp()
	
	ui.Dialog(78487,672,0,11,0,0)		--陛下可有发现？

	-- 龙溟摇头 
	npc.SetAnim(7,207)
	global.Wait(1)

	ui.Dialog(78488,635,2,7,0,0)		--本以为会在楼兰王身上。等天亮后，我再彻底搜索一遍城内各处。
	ui.Dialog(78489,672,0,11,0,0)		--楼兰干旱数年，忽然无故降雨，即便与水灵珠无关，存在水性至宝的可能性也很大，万万不可错过。
	ui.Dialog(78490,633,2,7,0,0)		--自然。
	

	-- 镜头3 	
	camera.ResetLerp(25000)		
	camera.ChangeCameraStatic(7623,292,4808,7720,274,4792)		
	--等待几秒 
	global.Wait(0.5)

	ui.Dialog(78491,635,2,7,0,0)		--你挑选的那枚棋子，资质果然不错。
	ui.Dialog(78492,676,0,11,0,0)		--能得陛下另眼相看，蚩尤血脉果然不同凡响。
	ui.Dialog(78493,634,2,7,0,0)			--是你诱使他来楼兰？
	ui.Dialog(78494,675,0,11,0,0)		--非也，尚无法确定他不会成为陛下的阻力，我怎会冒这个险？
	ui.Dialog(78495,674,0,11,0,0)		--我只要他离开中原，不要扰了我布局，也不要丢了性命。他会来此，也是阴差阳错。
	ui.Dialog(78496,673,0,11,0,0)		--如今我罗网已成，很快，他便会发现自己已无容身之所，而人界惊涛将起，我魔族的机遇就在其中。
	ui.Dialog(78497,629,2,7,0,0)		--拭目以待。
	global.Wait(2)
	
	ui.Dialog(78498,634,2,7,0,0)		--以后若无我召唤，不可轻易幻形，以免魔气惊动他人。
	ui.Dialog(78499,676,0,11,0,0)		--呵呵，陛下担心惊动何人？
	ui.Dialog(78500,676,0,11,0,0)		--我之幻形虽无五感之能，但以陛下能为，又有何人能在侧窥探却不被发现？除非……陛下心有旁骛。
	ui.Dialog(78501,712,2,7,0,0)		--微怒--……
	global.Wait(1)
	ui.Dialog(78502,672,0,11,0,0)		--现今我族虽然数旬间尚能得一旬降雨，但若两界水脉继续失衡，水源彻底枯竭也不过是数年间的事。
	ui.Dialog(78503,672,0,11,0,0)		--而寻常魔族无法穿越两界封印，水源断绝也无处可逃，届时我夜叉之地必沦为炼狱，更甚这楼兰古城。
	ui.Dialog(78504,672,0,11,0,0)		--陛下现今身在人界，水土丰足。但望陛下不要忘记，魔界尚有数十万夜叉臣民，还在苦候陛下。
	global.Wait(1)
	ui.Dialog(78505,712,2,7,0,0)		--多谢大长老教诲，本王时刻铭记在心。

	--等待几秒 
	global.Wait(2)

	ui.Dialog(78506,676,0,11,0,0)		--笑 --那臣就静候陛下佳音。

	--魔翳幻形消失 
	-- npc.CreateSE(11,4338)
	-- global.Wait(3)	
	npc.SetAppear(11,0)
	global.Wait(1)

	ui.Dialog(78507,630,2,7,0,0)		--……等等！

	-- 魔翳幻形出现 
	-- npc.CreateSE(11,4338)
	-- global.Wait(1.5)
	npc.SetAppear(11,1,1)
	global.Wait(1)

	ui.Dialog(78508,676,0,11,0,0)	--陛下还有何吩咐？
	
	
	
	
	
	-- 镜头4 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(7722,294,4781,7631,281,4817)			
	camera.ResetLerp(15000)		
	camera.ChangeCameraStatic(7725,294,4792,7625,281,4797)			
	-- 龙溟思索 
	npc.SetAnim(7,216)
	global.Wait(1)
	
	ui.Dialog(78509,634,0,7,0,0)--……
	global.Wait(0.5)
	ui.Dialog(78510,634,0,7,0,0)		--阿幽最近怎样？
	ui.Dialog(78511,679,2,11,0,0)--……
	global.Wait(0.5)
	ui.Dialog(78512,679,2,11,0,0)	--他武功术法都颇有进境，修炼越行之术也已有小成。
	ui.Dialog(78513,673,2,11,0,0)	--微怒 --但以治国之术而言，他本已是欠缺王者之质，更是不思进取。

	-- 龙溟叹气
	npc.SetAnim(7,228,2)
	global.Wait(1)
	
	ui.Dialog(78514,632,0,7,0,0)		--阿幽的性格就是如此，更加之认为有我在，他便不用承担国事。现下我不在魔界，正可趁此机会，将他锤炼一番。
	global.Wait(2)
	
	-- 龙溟行礼 
	npc.SetAnim(7,213,2)
	global.Wait(1)

	ui.Dialog(78515,629,0,7,0,0)		--舅舅，阿幽就拜托你了。
	ui.Dialog(78516,676,2,11,0,0)	--呵～遵命。

	--魔翳幻形消失 
	-- npc.CreateSE(11,4338)
	-- global.Wait(3)	
	npc.SetAppear(11,0)
	global.Wait(2)
	-- 从外面面向楼兰城  拉远  
	camera.ResetLerp(8000)		
	-- camera.ChangeCameraStatic(8173,376,4805,8074,360,4801)		
	camera.ChangeCameraStatic(7940,341,4820,7845,315,4808)
	global.Wait(1)
	-- 龙溟走到边上 
	-- npc.MoveTo(7,7716,4797)
	npc.MoveTo(7,7720,4780)
	global.WaitForNpcPos(7,7720,4780)
	-- 龙溟转向外面 	
	npc.TurnToPos(7,8008,4945,1)
	global.Wait(2)
	
	ui.Dialog(78517,629,2,7,0,0)	--……
	
	--等待几秒 
	global.Wait(3)
	

	
	
	
	--镜头6  
	-- 角落处  近镜 
	camera.ResetLerp(0)		
	-- camera.ChangeCameraStatic(7190,232,5279,7103,230,5329)	
	camera.ChangeCameraStatic(7165,231,5279,7085,223,5339)
	camera.ResetLerp(10000)		
	-- camera.ChangeCameraStatic(7137,232,5311,7055,239,5367)	
	camera.ChangeCameraStatic(7166,231,5288,7089,227,5353)
	global.Wait(1)
	
	--凌波走出来 
	npc.SetAnimSpeed(8,60)
	npc.SetSpeed(8,0.6)
	npc.MoveTo(8,7131,5318,1)
	npc.SetAnimSpeed(8,100)
	npc.SetSpeed(8,1)	
	npc.SetHeadRot(8,0,0)
	npc.TurnTo(8,1,-1,1)
	global.Wait(1)
	
	ui.Dialog(78518,153,0,8,0,0)	--……
	global.Wait(1)
	
	--黑屏  	
	effect.FadeOut(1,1)
	--音乐渐渐停
	global.MusicFadeIn(2000,100,0)		
	global.Wait(3)

	ui.Message(78519)	--一天后
	-- ui.Dialog(78520,100,0,0,0,0)		--【一天后】

	--清理npc 
	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	global.Wait(0.5)
	
	for i=1,20,1
		do
		npc.Destroy(i)
		end		
	
	


	--切地图 
	-- 楼兰城室内  夏侯客房 
	map.Change(1,114)
	player.SetPos(1621,1143)
	
	
	--npc建立  
	--夏侯澜辉
	npc.CreateFloat(1,1,1692,6,1060)
	npc.SetAt(1,-1,0)
	npc.SetAnim(1,264)
	--瑕	
	npc.Create(2,2,1665,1084)
	npc.SetAtPos(2,1692,1060)		


	
	
	
	--镜头7  
	-- 中镜 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(1620,40,1070,1717,20,1076)	
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(1621,38,1080,1719,25,1066	)	
	--淡入  
	effect.FadeIn(1,1)
	--播放音乐 gs182
	global.PlayMusic(172,100,3000)			
	global.Wait(1)	

	ui.Dialog(78521,188,2,2,0,0)	--担心--你真的没事了？
	
	--夏侯看向瑕 
	npc.SetHeadRotTo(1,2,1,50)
	global.Wait(0.5)
	
	ui.Dialog(78522,521,0,1,0,0)	 --笑 --嗯，真的。
	ui.Dialog(78523,192,2,2,0,0)	--笑 --那就好。
	ui.Dialog(78524,191,2,2,0,0)	--现在外面可热闹啦，他们都出去看热闹了，咱们也去吧。
	wt(1.5)
	
	
	
	ui.Message(78525)--假装加入夏侯--夏侯瑾轩加入队伍
	player.Add(p_id(2),1)--高调加入瑕



	
	--清理npc 恢复转头 
	effect.FadeOut(1,1)
	global.Wait(1)	
	
	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	global.Wait(0.5)
	
	for i=1,20,1
		do
		npc.Destroy(i)
		end	

--删除上一个任务
ui.FinishQuest(546)
--添加任务
ui.AddQuest(547)
	
	player.SetAt(0,-1)
	func_end(410,1213,1,1)
	
end










